services:
  _defaults:
    autoconfigure: true
  Violution\VioPoll\EventListener\LoadDataContainerListener:
    tags:
      - { name: contao.hook, hook: loadDataContainer, priority: 100 }
  Violution\VioPoll\EventListener\DataContainer\VioAnswersSaveCallback:
    tags:
      - { name: contao.callback, table: tl_content, target: fields.vio_poll_radio_answers.save,  priority: 100 }
  Violution\VioPoll\EventListener\DataContainer\VioPollQuestionsSaveCallback:
    tags:
      - { name: contao.callback, table: tl_content, target: fields.vio_poll_questions.save,  priority: 100 }
  Violution\VioPoll\EventListener\DataContainer\VioQuestionIdSaveCallback:
    tags:
      - { name: contao.callback, table: tl_content, target: fields.vio_question_id.save,  priority: 100 }
  Violution\VioPoll\EventListener\DataContainer\VioPollLabelSaveCallback:
    tags:
      - { name: contao.callback, table: tl_page, target: fields.vio_poll_label.save,  priority: 100 }
  Violution\VioPoll\Controller\ContentElement\VioPollStart:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioPollPageBreak:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioPollEnd:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioPollProcessData:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioDropDownEvaluationController:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioInputFieldEvaluationController:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioNumericalEvaluationController:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioSmileyEvaluationController:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioRadioButtonEvaluationController:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\Controller\ContentElement\VioTextAreaEvaluationController:
    tags:
      - {name: contao.content_element, category: vio_poll }
  Violution\VioPoll\EventListener\GeneratePageListener:
    tags:
      - { name: contao.hook, hook: generatePage, priority: 100 }
